> ## Documentation Index
> Fetch the complete documentation index at: https://docs.slate-labs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Promo Codes



## OpenAPI

````yaml /openapi.json get /promo-codes
openapi: 3.1.0
info:
  title: Slate API
  version: 1.0.0
  description: Trading infrastructure API.
servers:
  - url: https://api.{your-broker}.slate-labs.com
    variables:
      your-broker:
        default: broker
security: []
tags:
  - name: Authentication
  - name: API Tokens
  - name: Customers
  - name: Accounts
  - name: Orders
  - name: Instruments & Groups
  - name: Transactions
  - name: Payments
  - name: Transfers
  - name: Risk
  - name: Workflow & CRM
  - name: Messaging
  - name: Integrations
  - name: Webhooks
  - name: Compliance
  - name: Promo codes
  - name: Reporting
  - name: Audit
  - name: Fraud & moderation
  - name: Broker settings
  - name: Users
  - name: Roles & Teams
  - name: Streams (SSE)
  - name: Simulator
  - name: Observability
  - name: Prop trading
paths:
  /promo-codes:
    get:
      tags:
        - Promo codes
      summary: List Promo Codes
      operationId: list_promo_codes_promo_codes_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/PromoCodeResponse'
                type: array
                title: Response List Promo Codes Promo Codes Get
      security:
        - bearerAuth: []
components:
  schemas:
    PromoCodeResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        code:
          type: string
          title: Code
        group_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Group Id
        is_active:
          type: boolean
          title: Is Active
        expires_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Expires At
        max_uses:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Uses
        current_uses:
          type: integer
          title: Current Uses
        account_type:
          type: string
          title: Account Type
        challenge_template_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Challenge Template Id
        created_by:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Created By
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - code
        - group_id
        - is_active
        - expires_at
        - max_uses
        - current_uses
        - account_type
        - challenge_template_id
        - created_by
        - created_at
        - updated_at
      title: PromoCodeResponse
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````